# Props

JG Mechanic uses a few props to create a more realistic experience when modding a vehicle. Some of you may use an anti-cheat system in which requires allowing props to be spawned.

{% hint style="info" %}
Below is a list with all the props used within the mechanic
{% endhint %}

<table><thead><tr><th width="350">Name</th><th width="230">Hash</th></tr></thead><tbody><tr><td><code>prop_car_engine_01</code></td><td>232216084</td></tr><tr><td><code>xs_prop_x18_engine_hoist_02a</code></td><td>-1928024499</td></tr><tr><td><code>prop_wheel_01</code></td><td>-292162984</td></tr><tr><td><code>prop_gascyl_01a</code></td><td>1270590574</td></tr><tr><td><code>prop_tool_spanner01</code></td><td>-2050576199</td></tr><tr><td><code>prop_paint_spray01b</code></td><td>-1788911489</td></tr><tr><td><code>prop_cs_tablet</code></td><td>-1585232418</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jgscripts.com/mechanic/props.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
